<app-loading *ngIf="isLoadingPage"></app-loading>
<nz-modal
  nzTitle="{{'staffManager.acceptance.uploadFile'|translate}}"
  [nzVisible]='showContent'
  [nzFooter]='null'
  (nzOnCancel)='doClose()'
  [nzWidth]='nzWidth'
  [nzCentered]='true'
>
  <ng-container *nzModalContent style='padding: 0; margin-top: -20px'>
    <div nz-row [nzGutter]='[30,30]'>
      <div nz-col nzXs='24' nzLg='24'>
        <mb-date-picker
          [(ngModel)]="acceptanceDate"
          mbMode="month"
          [mbFormat]="'MM/yyyy'"
          mbLabelText="{{'staffManager.acceptance.acceptanceDate' | translate}} <span class='label__required'> *</span>"
          mbPlaceholderText="{{'staffManager.acceptance.acceptanceDate' | translate}}"
        ></mb-date-picker>
      </div>

      <label style='padding-left: 15px' class='label'>{{'staffManager.acceptance.importFile'|translate}}<span class='label__required'> *</span></label>
      <nz-upload nz-col nzXs='24' nzLg='24'
                 nzType='drag'
                 [nzMultiple]=' true'
                 [(nzFileList)]='fileList' [nzBeforeUpload]='beforeUpload' nzAccept='.zip, .pdf'>
        <p class='ant-upload-drag-icon'>
          <em nz-icon nzType='inbox'></em>
        </p>
        <p class='ant-upload-text'>{{'common.upload.description'|translate}}</p>
        <p class='ant-upload-hint'>
          {{'staffManager.acceptance.supportAttachType'|translate}}
        </p>
      </nz-upload>
    </div>


    <div nz-row [nzGutter]='[10,10]' *ngIf='isExistFileImport'>
      <mb-button
        mbButtonType='BORDER'
        mbButtonSize='SMALL'
        mbButtonText="{{'common.button.cancel'|translate }}"
        class='mb__button--w100 mb__button--no-margin' nz-col nzXs='24' nzLg='12'
        mbButtonAvailableStyle='DEFAULT'
        (click)='doClose()'
      ></mb-button>
      <mb-button
        mbButtonType='BORDER'
        mbButtonSize='SMALL'
        mbButtonAvailableStyle='PRIMARY'
        mbButtonText="{{'common.upload.upload'|translate }}"
        class='mb__button--w100 mb__button--no-margin' nz-col nzXs='24' nzLg='12'
        (click)='doImportFile()'
      ></mb-button>
    </div>


  </ng-container>
</nz-modal>
